Subject: Re: [weirds] I-D Action: draft-hollenbeck-weirds-rdap-openid-00.txt

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 14 May 2015 13:42:00 +0000

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Thursday, May 14, 2015 9:38 AM
> To: [email-masked]
> Subject: I-D Action: draft-hollenbeck-weirds-rdap-openid-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
>         Title           : Federated Authentication for the Registration
> Data Access Protocol (RDAP) using OpenID Connect
>         Author          : Scott Hollenbeck
> 	Filename        : draft-hollenbeck-weirds-rdap-openid-00.txt
> 	Pages           : 10
> 	Date            : 2015-05-14
> 
> Abstract:
>    The Registration Data Access Protocol (RDAP) provides "RESTful" web
>    services to retrieve registration metadata from domain name and
>    regional internet registries.  RDAP allows a server to make access
>    control decisions based on client identity, and as such it includes
>    support for client identification features provided by the Hypertext
>    Transfer Protocol (HTTP).  Identification methods that require
>    clients to obtain and manage credentials from every RDAP server
>    operator present management challenges for both clients and servers,
>    whereas a federated authentication system would make it easier to
>    operate and use RDAP without the need to maintain server-specific
>    client credentials.  This document describes a federated
>    authentication system for RDAP based on OpenID Connect.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-hollenbeck-weirds-rdap-openid/

FYI, folks: I just submitted an I-D that describes one way to use RDAP with a federated authentication system. Comments and discussion are welcome.

Scott